Bug 839401 - kernel: general protection fault: 0000 [#1] SMP during usb bluetooth disconnect
kernel: general protection fault: 0000 [#1] SMP during usb bluetooth disconnect
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 16:35 EDT by Mikko Tiihonen
Modified: 2013-04-23 13:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:28:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikko Tiihonen 2012-07-11 16:35:07 EDT
kernel-3.5.0-0.rc6.git2.1.fc18.x86_64

Occurs during boot. Most likely triggered by "rfkill block bluetooth" in /etc/rc.d
/rc.local

general protection fault: 0000 [#1] SMP 
CPU 0 
Modules linked in:
 bridge(+) stp llc iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack rfcomm bnep tpm_bios snd_hda_codec_hdmi arc4 btusb bluetooth coretemp cdc_wdm cdc_ncm cdc_acm usbnet mii microcode uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core snd_hda_codec_conexant videodev media iwlwifi nouveau mac80211 snd_hda_intel lpc_ich mxm_wmi mfd_core i2c_i801 i2c_algo_bit snd_hda_codec snd_hwdep cfg80211 ttm snd_pcm drm_kms_helper drm snd_page_alloc e1000e i2c_core snd_timer binfmt_misc thinkpad_acpi wmi snd soundcore rfkill vhost_net tun macvtap macvlan video kvm_intel kvm uinput nfsd nfs_acl auth_rpcgss lockd sunrpc btrfs libcrc32c zlib_deflate crc32c_intel sdhci_pci firewire_ohci sdhci firewire_core mmc_core crc_itu_t

Pid: 46, comm: khubd Not tainted 3.5.0-0.rc6.git2.1.fc18.x86_64 #1 LENOVO 42844DG/42844DG
RIP: 0010:[<ffffffff810cf859>]  [<ffffffff810cf859>] __lock_acquire+0x1b9/0x1c30
RSP: 0018:ffff880429e6f990  EFLAGS: 00010002
RAX: 6b6b6b6b6b6b6b6b RBX: 0000000000000002 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff8804278aacb8
RBP: ffff880429e6fa80 R08: 6b6b6b6b6b6b6b6b R09: 0000000000000001
R10: ffff880429e64d00 R11: 0000000000000000 R12: ffff8804278aacb8
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff88042c600000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00007fbed0388000 CR3: 00000004192bb000 CR4: 00000000000407f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process khubd (pid: 46, threadinfo ffff880429e6e000, task ffff880429e64d00)
Stack:
 ffff880429e6f9a0 ffffffff81021d03 ffff880429e6f9b0 ffffffff8224ea60
 ffff880429e6f9e0 ffffffff810a7a15 ffff880429e6f9d0 ffffffff81021d03
 ffff880429e6f9e0 ffffffff81021d79 ffff880429e6fa10 ffffffff810a7a15
Call Trace:
 [<ffffffff81021d03>] ? native_sched_clock+0x13/0x80
 [<ffffffff810a7a15>] ? sched_clock_cpu+0xc5/0x120
 [<ffffffff81021d03>] ? native_sched_clock+0x13/0x80
 [<ffffffff81021d79>] ? sched_clock+0x9/0x10
 [<ffffffff810a7a15>] ? sched_clock_cpu+0xc5/0x120
 [<ffffffff81021d03>] ? native_sched_clock+0x13/0x80
 [<ffffffff81021d79>] ? sched_clock+0x9/0x10
 [<ffffffff810a7a15>] ? sched_clock_cpu+0xc5/0x120
 [<ffffffff810cc00d>] ? trace_hardirqs_off+0xd/0x10
 [<ffffffff810a7adf>] ? local_clock+0x6f/0x80
 [<ffffffff810d19b1>] lock_acquire+0xa1/0x1f0
 [<ffffffff81577fe8>] ? skb_dequeue+0x28/0x80
 [<ffffffff810a7adf>] ? local_clock+0x6f/0x80
 [<ffffffff816cbd5d>] ? __mutex_unlock_slowpath+0xdd/0x180
 [<ffffffff816cef85>] _raw_spin_lock_irqsave+0x65/0xb0
 [<ffffffff81577fe8>] ? skb_dequeue+0x28/0x80
 [<ffffffff810d25dd>] ? trace_hardirqs_on+0xd/0x10
 [<ffffffff81577fe8>] skb_dequeue+0x28/0x80
 [<ffffffff8157b188>] skb_queue_purge+0x28/0x40
 [<ffffffffa071487d>] hci_free_dev+0x1d/0x30 [bluetooth]
 [<ffffffffa030125a>] btusb_disconnect+0x8a/0xd0 [btusb]
 [<ffffffff814b3100>] usb_unbind_interface+0x60/0x1a0
 [<ffffffff81433c3c>] __device_release_driver+0x7c/0xe0
 [<ffffffff81433cce>] device_release_driver+0x2e/0x40
 [<ffffffff814333b2>] bus_remove_device+0x102/0x180
 [<ffffffff81430747>] device_del+0x137/0x1d0
 [<ffffffff814b0ae0>] usb_disable_device+0xb0/0x260
 [<ffffffff814a7446>] usb_disconnect+0xa6/0x150
 [<ffffffff814a9b90>] hub_thread+0x730/0x1710
 [<ffffffff810d253d>] ? trace_hardirqs_on_caller+0x10d/0x1a0
 [<ffffffff8108e7c0>] ? wake_up_bit+0x40/0x40
 [<ffffffff814a9460>] ? usb_remote_wakeup+0x70/0x70
 [<ffffffff8108df67>] kthread+0xb7/0xc0
 [<ffffffff816d9174>] kernel_thread_helper+0x4/0x10
 [<ffffffff816cf270>] ? retint_restore_args+0x13/0x13
 [<ffffffff8108deb0>] ? kthread_worker_fn+0x1a0/0x1a0
 [<ffffffff816d9170>] ? gs_change+0x13/0x13
Code: 01 00 75 be be d5 0b 00 00 48 c7 c7 28 3e 9e 81 e8 0d 39 f9 ff eb ab 0f 1f 00 44 89 ea 4d 8b 44 d4 08 4d 85 c0 0f 84 ce fe ff ff <f0> 41 ff 80 98 01 00 00 44 8b 3d c8 cb fe 00 45 8b aa b8 08 00 
RIP  [<ffffffff810cf859>] __lock_acquire+0x1b9/0x1c30
 RSP <ffff880429e6f990>
---[ end trace 3d81b70e2478d1c0 ]---
Comment 1 Fedora End Of Life 2013-04-03 11:40:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Justin M. Forbes 2013-04-05 15:20:22 EDT
Is this still an issue with the 3.9 kernels in F19?
Comment 3 Justin M. Forbes 2013-04-23 13:28:12 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.